Bug 16196 - <Location /> disables <Directory> directives
<Location /> disables <Directory> directives
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-14 17:46 EDT by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 17:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-08-14 17:46:27 EDT
In /etc/httpd.conf there is a clause

| <Location />
| ...
| </Location>

This statement has a higher priority than <Directory> directives. That's
why widely used configurations like

| <Directory "/home/*/public_html/cgi-bin">
|	Options ExecCGI
| </Directory>

won't work anymore.


I think you should move everything from <Location /> into the <Directory />
section and remove it entirely.
Comment 1 Nalin Dahyabhai 2000-08-15 14:40:43 EDT
Changing it back for apache-1.3.12-23.

Note You need to log in before you can comment on or make changes to this bug.